## jrobots.simulation.simulationObjects
Class Constants

    java.lang.Object
      jrobots.simulation.simulationObjects.Constants

    public final class Constants

extends java.lang.Object

Field Summary
`static double` | `ARENA_MAX_DIAMETER`
`static double` | `BOOSTER_ENERGY_COMSUMPTION` Energy consumption per booster second
`static double` | `BULLET_DAMAGE_FRONT`
`static double` | `BULLET_DAMAGE_REAR`
`static double` | `BULLET_DAMAGE_SIDE`
`static double` | `BULLET_ENERGY_COMSUMPTION` Energy consumption per bullet
`static double` | `BULLET_RELOADTIME` Zeit in Sekunden, die es dauert, bis die Kanone erneut abgefeuert werden kann.
`static double` | `BULLET_SPEED` Die Geschwindigkeit eines Projektils, wie es die leichte Panzerkanone abfeuert, ist konstant.
`static double` | `DUAL_MINIMISSILE_ENERGY_COMSUMPTION` Energy consumption per two mini missiles
`static double` | `FLOATING_POINT_PRECISION`
`static int` | `FRAMES_PER_SECOND` Anzahl Simulationszyklen pro Sekunde.
`static boolean` | `IS_SCREENSHOT_MODE` In screenshot mode there are no bot names and scan fans are dimmed
`static double` | `MINE_ENERGY_COMSUMPTION` Energy consumption per mine
`static double` | `MINE_MAX_DAMAGE`
`static double` | `MINE_RELOADTIME` Zeit in Sekunden, die es dauert, bis die Mine erneut ausgelegt werden kann.
`static double` | `MINETHROWER_ENERGY_COMSUMPTION` Energy consumption per grenade
`static double` | `MINI_MISSILE_SPEED` Die maximale Geschwindigkeit der Mini-Lenkrakete.
`static double` | `MISSILE_ENERGY_COMSUMPTION` Energy consumption per missile
`static double` | `MISSILE_MAX_AGE` Ab welcher Lebenszeit ein Projektil aus der Simulation entfernt werden kann, weil es in seinem linearen Flug mindestens einen Arenadurchmesser weit aus der Arena geflogen ist (momentan noch sehr konservativ).
`static double` | `MISSILE_MAX_DAMAGE`
`static double` | `MISSILE_RELOADTIME`
`static double` | `MISSILE_SPEED` Die maximale Geschwindigkeit der Lenkrakete.
`static double` | `PANZER_BREADTH` In Meter
`static double` | `PANZER_DIAGONAL` In Meter
`static double` | `PANZER_ENERGY_PER_SECOND` How much energy the `Panzer`'s fuel cell generates; [ENERGY/s].
`static double` | `PANZER_LENGTH` In Meter
`static double` | `PANZER_MAX_SPEED_BACKWARD` In Meter pro Sekunde
`static double` | `PANZER_PROXIMITY_SCANNER_DROPPABLE_RANGE` Range of droppable proximity scanner
`static double` | `PANZER_PROXIMITY_SCANNER_LAUNCHABLE_RANGE` Range of projectile proximity scanner
`static double` | `PANZER_SCANINTERVAL` Zeit in Sekunden, die es dauert, bis der Scanner erneut ausgerichtet werden kann.
`static double` | `PANZER_TRACTOR_ENERGY_COMSUMPTION_PER_SECOND` Energy consumption per tractor at full force
`static long` | `PILOT_PROCESSING_TIMEOUT` Timeout for the processing of one Pilot for one simulation step.
`static double` | `PROJECTILE_DAMAGE_FRONT`
`static double` | `PROJECTILE_DAMAGE_REAR`
`static double` | `PROJECTILE_DAMAGE_SIDE`
`static double` | `PROJECTILE_ENERGY_COMSUMPTION` Energy consumption per projectile
`static double` | `PROJECTILE_MAX_AGE` Ab welcher Lebenszeit ein Projektil aus der Simulation entfernt werden kann, weil es in seinem linearen Flug mindestens einen Arenadurchmesser weit aus der Arena geflogen ist (momentan noch sehr konservativ).
`static double` | `PROJECTILE_RELOADTIME` Zeit in Sekunden, die es dauert, bis die Kanone erneut abgefeuert werden kann.
`static double` | `PROJECTILE_SPEED` Die Geschwindigkeit eines Projektils, wie es die Panzerhaubitze abfeuert, ist konstant.
`static double` | `ROCKET_DAMAGE_FRONT`
`static double` | `ROCKET_DAMAGE_REAR`
`static double` | `ROCKET_DAMAGE_SIDE`
`static double` | `ROCKET_ENERGY_COMSUMPTION` Energy consumption per rocket
`static double` | `ROCKET_REDIRECTION_ENERGY_CONSUMPTION` Energy consumption for every redirection of the rocket
`static double` | `ROCKET_SPEED` Die maximale Geschwindigkeit der Lenkrakete.
`static double` | `SCAN_ENERGY_COMSUMPTION` Energy consumption per scan
`static double` | `SINGLE_MINIMISSILE_ENERGY_COMSUMPTION` Energy consumption per mini missile
`static double` | `SONAR_ENERGY_FOR_METER_STDDEV` Energy needed to retrieve one sonar trace with a standard deviation of one meter.
`static double` | `TANK_TRAP_MAX_HINDRANCE_TIME`
`static double` | `TANK_TRAP_RELOADTIME`
`static double` | `TRAP_ENERGY_COMSUMPTION` Energy consumption per tank trap

Constructor Summary
`Constants()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ARENA_MAX_DIAMETER

    public static final double ARENA_MAX_DIAMETER

See Also:
  Constant Field Values

### BOOSTER_ENERGY_COMSUMPTION

    public static final double BOOSTER_ENERGY_COMSUMPTION

  Energy consumption per booster second

  See Also:
    Constant Field Values

### BULLET_DAMAGE_FRONT

    public static final double BULLET_DAMAGE_FRONT

See Also:
  Constant Field Values

### BULLET_DAMAGE_REAR

    public static final double BULLET_DAMAGE_REAR

See Also:
  Constant Field Values

### BULLET_DAMAGE_SIDE

    public static final double BULLET_DAMAGE_SIDE

See Also:
  Constant Field Values

### BULLET_ENERGY_COMSUMPTION

    public static final double BULLET_ENERGY_COMSUMPTION

  Energy consumption per bullet

  See Also:
    Constant Field Values

### BULLET_RELOADTIME

    public static final double BULLET_RELOADTIME

  Zeit in Sekunden, die es dauert, bis die Kanone erneut abgefeuert werden kann.

### BULLET_SPEED

    public static final double BULLET_SPEED

  Die Geschwindigkeit eines Projektils, wie es die leichte Panzerkanone abfeuert, ist konstant. In Meter pro Sekunde.

  See Also:
    Constant Field Values

### DUAL_MINIMISSILE_ENERGY_COMSUMPTION

    public static final double DUAL_MINIMISSILE_ENERGY_COMSUMPTION

  Energy consumption per two mini missiles

  See Also:
    Constant Field Values

### FLOATING_POINT_PRECISION

    public static final double FLOATING_POINT_PRECISION

See Also:
  Constant Field Values

### FRAMES_PER_SECOND

    public static final int FRAMES_PER_SECOND

  Anzahl Simulationszyklen pro Sekunde. Pro Zyklus wird ein Mal die `actions()`-Methode des Bots aufgerufen.

  See Also:
    Constant Field Values

### IS_SCREENSHOT_MODE

    public static final boolean IS_SCREENSHOT_MODE

  In screenshot mode there are no bot names and scan fans are dimmed

  See Also:
    Constant Field Values

### MINE_ENERGY_COMSUMPTION

    public static final double MINE_ENERGY_COMSUMPTION

  Energy consumption per mine

  See Also:
    Constant Field Values

### MINE_MAX_DAMAGE

    public static final double MINE_MAX_DAMAGE

See Also:
  Constant Field Values

### MINE_RELOADTIME

    public static final double MINE_RELOADTIME

  Zeit in Sekunden, die es dauert, bis die Mine erneut ausgelegt werden kann.

### MINETHROWER_ENERGY_COMSUMPTION

    public static final double MINETHROWER_ENERGY_COMSUMPTION

  Energy consumption per grenade

  See Also:
    Constant Field Values

### MINI_MISSILE_SPEED

    public static final double MINI_MISSILE_SPEED

  Die maximale Geschwindigkeit der Mini-Lenkrakete. Geschätzter Wert. In Meter pro Sekunde.

  See Also:
    Constant Field Values

### MISSILE_ENERGY_COMSUMPTION

    public static final double MISSILE_ENERGY_COMSUMPTION

  Energy consumption per missile

  See Also:
    Constant Field Values

### MISSILE_MAX_AGE

    public static final double MISSILE_MAX_AGE

  Ab welcher Lebenszeit ein Projektil aus der Simulation entfernt werden kann, weil es in seinem linearen Flug mindestens einen Arenadurchmesser weit aus der Arena geflogen ist (momentan noch sehr konservativ).

### MISSILE_MAX_DAMAGE

    public static final double MISSILE_MAX_DAMAGE

See Also:
  Constant Field Values

### MISSILE_RELOADTIME

    public static final double MISSILE_RELOADTIME

### MISSILE_SPEED

    public static final double MISSILE_SPEED

  Die maximale Geschwindigkeit der Lenkrakete. Geschätzter Wert. In Meter pro Sekunde.

  See Also:
    Constant Field Values

### PANZER_BREADTH

    public static final double PANZER_BREADTH

  In Meter

  See Also:
    Constant Field Values

### PANZER_DIAGONAL

    public static final double PANZER_DIAGONAL

  In Meter

### PANZER_ENERGY_PER_SECOND

    public static final double PANZER_ENERGY_PER_SECOND

  How much energy the `Panzer`'s fuel cell generates; [ENERGY/s].

  The unit ENERGY is used for visualization and easy handling: 1 ENERGY is the amount a `Panzer` can reasonably store.

  Comparison of units: `1 ENERGY = 4000000 J`

  See Also:
    Constant Field Values

### PANZER_LENGTH

    public static final double PANZER_LENGTH

  In Meter

  See Also:
    Constant Field Values

### PANZER_MAX_SPEED_BACKWARD

    public static final double PANZER_MAX_SPEED_BACKWARD

  In Meter pro Sekunde

### PANZER_PROXIMITY_SCANNER_DROPPABLE_RANGE

    public static final double PANZER_PROXIMITY_SCANNER_DROPPABLE_RANGE

  Range of droppable proximity scanner

  See Also:
    Constant Field Values

### PANZER_PROXIMITY_SCANNER_LAUNCHABLE_RANGE

    public static final double PANZER_PROXIMITY_SCANNER_LAUNCHABLE_RANGE

  Range of projectile proximity scanner

  See Also:
    Constant Field Values

### PANZER_SCANINTERVAL

    public static final double PANZER_SCANINTERVAL

  Zeit in Sekunden, die es dauert, bis der Scanner erneut ausgerichtet werden kann.

  > 0.1s

  See Also:
    Constant Field Values

### PANZER_TRACTOR_ENERGY_COMSUMPTION_PER_SECOND

    public static final double PANZER_TRACTOR_ENERGY_COMSUMPTION_PER_SECOND

  Energy consumption per tractor at full force

  See Also:
    Constant Field Values

### PILOT_PROCESSING_TIMEOUT

    public static final long PILOT_PROCESSING_TIMEOUT

  Timeout for the processing of one Pilot for one simulation step. In nanoseconds.

  Note: Pilots are sometimes punished for dilatoriness without guiltiness. The higher the system load and the more processes / system interrupts demand calculation time, the more random the punishment.

  TODO: (in further versions) average pilot processing time over time and base punishment on this value. TODO: make this a parameter

  See Also:
    Constant Field Values

### PROJECTILE_DAMAGE_FRONT

    public static final double PROJECTILE_DAMAGE_FRONT

See Also:
  Constant Field Values

### PROJECTILE_DAMAGE_REAR

    public static final double PROJECTILE_DAMAGE_REAR

See Also:
  Constant Field Values

### PROJECTILE_DAMAGE_SIDE

    public static final double PROJECTILE_DAMAGE_SIDE

See Also:
  Constant Field Values

### PROJECTILE_ENERGY_COMSUMPTION

    public static final double PROJECTILE_ENERGY_COMSUMPTION

  Energy consumption per projectile

  See Also:
    Constant Field Values

### PROJECTILE_MAX_AGE

    public static final double PROJECTILE_MAX_AGE

  Ab welcher Lebenszeit ein Projektil aus der Simulation entfernt werden kann, weil es in seinem linearen Flug mindestens einen Arenadurchmesser weit aus der Arena geflogen ist (momentan noch sehr konservativ).

  See Also:
    Constant Field Values

### PROJECTILE_RELOADTIME

    public static final double PROJECTILE_RELOADTIME

  Zeit in Sekunden, die es dauert, bis die Kanone erneut abgefeuert werden kann.

### PROJECTILE_SPEED

    public static final double PROJECTILE_SPEED

  Die Geschwindigkeit eines Projektils, wie es die Panzerhaubitze abfeuert, ist konstant. In Meter pro Sekunde.

  See Also:
    Constant Field Values

### ROCKET_DAMAGE_FRONT

    public static final double ROCKET_DAMAGE_FRONT

See Also:
  Constant Field Values

### ROCKET_DAMAGE_REAR

    public static final double ROCKET_DAMAGE_REAR

See Also:
  Constant Field Values

### ROCKET_DAMAGE_SIDE

    public static final double ROCKET_DAMAGE_SIDE

See Also:
  Constant Field Values

### ROCKET_ENERGY_COMSUMPTION

    public static final double ROCKET_ENERGY_COMSUMPTION

  Energy consumption per rocket

  See Also:
    Constant Field Values

### ROCKET_REDIRECTION_ENERGY_CONSUMPTION

    public static final double ROCKET_REDIRECTION_ENERGY_CONSUMPTION

  Energy consumption for every redirection of the rocket

  See Also:
    Constant Field Values

### ROCKET_SPEED

    public static final double ROCKET_SPEED

  Die maximale Geschwindigkeit der Lenkrakete. Geschätzter Wert. In Meter pro Sekunde.

  See Also:
    Constant Field Values

### SCAN_ENERGY_COMSUMPTION

    public static final double SCAN_ENERGY_COMSUMPTION

  Energy consumption per scan

  See Also:
    Constant Field Values

### SINGLE_MINIMISSILE_ENERGY_COMSUMPTION

    public static final double SINGLE_MINIMISSILE_ENERGY_COMSUMPTION

  Energy consumption per mini missile

  See Also:
    Constant Field Values

### SONAR_ENERGY_FOR_METER_STDDEV

    public static final double SONAR_ENERGY_FOR_METER_STDDEV

  Energy needed to retrieve one sonar trace with a standard deviation of one meter.

  See Also:
    Constant Field Values

### TANK_TRAP_MAX_HINDRANCE_TIME

    public static final double TANK_TRAP_MAX_HINDRANCE_TIME

See Also:
  Constant Field Values

### TANK_TRAP_RELOADTIME

    public static final double TANK_TRAP_RELOADTIME

### TRAP_ENERGY_COMSUMPTION

    public static final double TRAP_ENERGY_COMSUMPTION

  Energy consumption per tank trap

  See Also:
    Constant Field Values

Constructor Detail

### Constants

    public Constants()